# Libraries

### Server-side libraries <a href="#server-side-libraries" id="server-side-libraries"></a>

We provide server-side API libraries in several languages. Installing a library is not required, but will save you development time, because a library:

* Uses an API version that is up to date.
* Has generated models to help you construct requests.

### Java

#### Requirements

* Java 8 or higher.

#### Installation

You can use [Maven](https://maven.apache.org/), adding this dependency to your project's POM.

```xml
<dependency>
  <groupId>com.moneycollect</groupId>
  <artifactId>moneycollect-java</artifactId>
  <version>1.0.4</version>
</dependency>
```

You can find the latest version version on GitHub, Alternatively, you can download the [release on GitHub.](https://github.com/MoneyCollect/moneycollect-java-sdk)

### PHP

#### Requirements

php >= 7.0&#x20;

curl&#x20;

json&#x20;

openssl

#### Installation

```
include_once "classes/MoneyCollectIntegration.php"; 
use \MoneyCollect\Classes\MoneyCollectIntegration; 
$moneycollect = new MoneyCollectIntegration($private_key);
```

you can download the [release on GitHub](https://github.com/MoneyCollect/moneycollect-php-sdk).

For more details, check out the [API reference](https://apireference.moneycollect.com/docs/api-v1/ZG9jOjQyOTAy-overview)&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moneycollect.com/docs/developer-tools/libraries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
